// FormExDockWnd.cpp : implementation file
//

#include "stdafx.h"
#include "addin.h"
#include "FormExDockWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFormExDockWnd dialog


CFormExDockWnd::CFormExDockWnd()
{
	//{{AFX_DATA_INIT(CFormExDockWnd)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CFormExDockWnd::DoDataExchange(CDataExchange* pDX)
{
	CDialogBar::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFormExDockWnd)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFormExDockWnd, CDialogBar)
	//{{AFX_MSG_MAP(CFormExDockWnd)
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_INITDIALOG, OnInitDialog)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFormExDockWnd message handlers

LONG CFormExDockWnd::OnInitDialog(UINT wParam, LONG lParam)
{
	BOOL bRet = HandleInitDialog(wParam, lParam);

	if (!UpdateData(FALSE))
	{
		TRACE0("Warning: UpdateData failed during dialog init.\n");
	}
	
	// TODO: Add extra initialization here
	
	return bRet;
}
